#!/usr/bin/env bash


RESDIR=$1
mkdir -p /tmp/rk/${RESDIR}
DATADIR=$2

EPOCHS=100

for output in client both
do
    for depth in small
    do
        for mtype in inter final
        do

            python main.py --mode train \
                        --train ${DATADIR}/currentData.csv \
                        --model ${RESDIR}/${output}_${depth}_${mtype} \
                        --epochs $EPOCHS \
                        --embd 128 \
                        --filter_embd 256 --kernel_embd 8 --dense_embd 128 \
                        --domain_embd 32 \
                        --filter_main 32  --kernel_main 8 --dense_main 1024 \
                        --batch 256 \
                        --balanced_weights \
                        --model_output ${output} \
                        --type ${mtype} \
                        --depth ${depth}

        done
    done
done

for depth in small
do
    python main.py --mode train \
                --train ${DATADIR}/currentData.csv \
                --model ${RESDIR}/both_${depth}_staggered \
                --epochs $EPOCHS \
                --embd 128 \
                --filter_embd 256 --kernel_embd 8 --dense_embd 128 \
                --domain_embd 32 \
                --filter_main 32  --kernel_main 8 --dense_main 1024 \
                --batch 256 \
                --balanced_weights \
                --model_output both \
                --type staggered \
                --depth ${depth}
done

# python main.py --mode train --epochs 100 --embd 64 --filter_embd 128 --kernel_embd 5 --dense_embd 128 --domain_embd 32 --filter_main 32  --kernel_main 5 --dense_main 512 --batch 256 --balanced_weights --model_output ${output} --type ${mtype} --depth ${depth} --train ${DATADIR}/currentData.csv --model ${RESDIR}/${output}_${depth}_${mtype}
# python main.py --mode train --epochs 100 --embd 64 --filter_embd 128 --kernel_embd 5 --dense_embd 128 --domain_embd 32 --filter_main 32  --kernel_main 5 --dense_main 512 --batch 256 --balanced_weights --model_output client --type final --depth small --train /tmp/rk/data/currentData.csv --model /tmp/rk/results/paul3/client_final
